Rmic.ImplementationSpecificArgument (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Rmic, class: ImplementationSpecificArgument

Package org.apache.tools.ant.taskdefs

# Class Rmic.ImplementationSpecificArgument

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.Commandline.Argument
org.apache.tools.ant.util.facade.ImplementationSpecificArgument
org.apache.tools.ant.taskdefs.Rmic.ImplementationSpecificArgument

All Implemented Interfaces:
  `java.lang.Cloneable`

Enclosing class:
  Rmic

    public class Rmic.ImplementationSpecificArgument
    extends ImplementationSpecificArgument

Adds an "compiler" attribute to Commandline$Attribute used to filter command line attributes based on the current implementation.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ImplementationSpecificArgument()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setCompiler​(java.lang.String impl)` | Only pass the specified argument if the chosen compiler implementation matches the value of this attribute.

  ### Methods inherited from class org.apache.tools.ant.util.facade.ImplementationSpecificArgument

  `getParts, setImplementation`

  ### Methods inherited from class org.apache.tools.ant.types.Commandline.Argument

  `copyFrom, getParts, setFile, setLine, setPath, setPathref, setPrefix, setSuffix, setValue`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImplementationSpecificArgument

    public ImplementationSpecificArgument()

- ## Method Details

  - ### setCompiler

    public void setCompiler​(java.lang.String impl)
    Only pass the specified argument if the chosen compiler implementation matches the value of this attribute. Legal values are the same as those in the above list of valid compilers.)
    Parameters:
      `impl` - the compiler to be used.